Update multiple tasks
curl --request PATCH \
--url https://api.quiva.ai/workspaces/tasks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tasks": [
{
"title": "<string>",
"id": "<string>",
"description": "<string>",
"assignees": [
"<string>"
],
"attachments": [
"<string>"
],
"priority": "<string>",
"folder": "<string>",
"reporter": "<string>",
"status": "<string>",
"space_id": "<string>",
"due_date": "2023-11-07T05:31:56Z",
"scheduled_at": "2023-11-07T05:31:56Z",
"archived": true,
"tags": [
"<string>"
],
"parent": "<string>",
"source": "<string>",
"source_detail": "<string>",
"value": 123,
"currency": "<string>",
"expected_close": "<string>",
"external_id": "<string>",
"metadata": {},
"time_tracking": {},
"order": 123,
"identity": {},
"suppress_events": true,
"implementation_date": "<string>",
"assigned_qa": "<string>",
"distribution_share": true
}
]
}
'import requests
url = "https://api.quiva.ai/workspaces/tasks"
payload = { "tasks": [
{
"title": "<string>",
"id": "<string>",
"description": "<string>",
"assignees": ["<string>"],
"attachments": ["<string>"],
"priority": "<string>",
"folder": "<string>",
"reporter": "<string>",
"status": "<string>",
"space_id": "<string>",
"due_date": "2023-11-07T05:31:56Z",
"scheduled_at": "2023-11-07T05:31:56Z",
"archived": True,
"tags": ["<string>"],
"parent": "<string>",
"source": "<string>",
"source_detail": "<string>",
"value": 123,
"currency": "<string>",
"expected_close": "<string>",
"external_id": "<string>",
"metadata": {},
"time_tracking": {},
"order": 123,
"identity": {},
"suppress_events": True,
"implementation_date": "<string>",
"assigned_qa": "<string>",
"distribution_share": True
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tasks: [
{
title: '<string>',
id: '<string>',
description: '<string>',
assignees: ['<string>'],
attachments: ['<string>'],
priority: '<string>',
folder: '<string>',
reporter: '<string>',
status: '<string>',
space_id: '<string>',
due_date: '2023-11-07T05:31:56Z',
scheduled_at: '2023-11-07T05:31:56Z',
archived: true,
tags: ['<string>'],
parent: '<string>',
source: '<string>',
source_detail: '<string>',
value: 123,
currency: '<string>',
expected_close: '<string>',
external_id: '<string>',
metadata: {},
time_tracking: {},
order: 123,
identity: {},
suppress_events: true,
implementation_date: '<string>',
assigned_qa: '<string>',
distribution_share: true
}
]
})
};
fetch('https://api.quiva.ai/workspaces/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quiva.ai/workspaces/tasks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'tasks' => [
[
'title' => '<string>',
'id' => '<string>',
'description' => '<string>',
'assignees' => [
'<string>'
],
'attachments' => [
'<string>'
],
'priority' => '<string>',
'folder' => '<string>',
'reporter' => '<string>',
'status' => '<string>',
'space_id' => '<string>',
'due_date' => '2023-11-07T05:31:56Z',
'scheduled_at' => '2023-11-07T05:31:56Z',
'archived' => true,
'tags' => [
'<string>'
],
'parent' => '<string>',
'source' => '<string>',
'source_detail' => '<string>',
'value' => 123,
'currency' => '<string>',
'expected_close' => '<string>',
'external_id' => '<string>',
'metadata' => [
],
'time_tracking' => [
],
'order' => 123,
'identity' => [
],
'suppress_events' => true,
'implementation_date' => '<string>',
'assigned_qa' => '<string>',
'distribution_share' => true
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.quiva.ai/workspaces/tasks"
payload := strings.NewReader("{\n \"tasks\": [\n {\n \"title\": \"<string>\",\n \"id\": \"<string>\",\n \"description\": \"<string>\",\n \"assignees\": [\n \"<string>\"\n ],\n \"attachments\": [\n \"<string>\"\n ],\n \"priority\": \"<string>\",\n \"folder\": \"<string>\",\n \"reporter\": \"<string>\",\n \"status\": \"<string>\",\n \"space_id\": \"<string>\",\n \"due_date\": \"2023-11-07T05:31:56Z\",\n \"scheduled_at\": \"2023-11-07T05:31:56Z\",\n \"archived\": true,\n \"tags\": [\n \"<string>\"\n ],\n \"parent\": \"<string>\",\n \"source\": \"<string>\",\n \"source_detail\": \"<string>\",\n \"value\": 123,\n \"currency\": \"<string>\",\n \"expected_close\": \"<string>\",\n \"external_id\": \"<string>\",\n \"metadata\": {},\n \"time_tracking\": {},\n \"order\": 123,\n \"identity\": {},\n \"suppress_events\": true,\n \"implementation_date\": \"<string>\",\n \"assigned_qa\": \"<string>\",\n \"distribution_share\": true\n }\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.quiva.ai/workspaces/tasks")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"tasks\": [\n {\n \"title\": \"<string>\",\n \"id\": \"<string>\",\n \"description\": \"<string>\",\n \"assignees\": [\n \"<string>\"\n ],\n \"attachments\": [\n \"<string>\"\n ],\n \"priority\": \"<string>\",\n \"folder\": \"<string>\",\n \"reporter\": \"<string>\",\n \"status\": \"<string>\",\n \"space_id\": \"<string>\",\n \"due_date\": \"2023-11-07T05:31:56Z\",\n \"scheduled_at\": \"2023-11-07T05:31:56Z\",\n \"archived\": true,\n \"tags\": [\n \"<string>\"\n ],\n \"parent\": \"<string>\",\n \"source\": \"<string>\",\n \"source_detail\": \"<string>\",\n \"value\": 123,\n \"currency\": \"<string>\",\n \"expected_close\": \"<string>\",\n \"external_id\": \"<string>\",\n \"metadata\": {},\n \"time_tracking\": {},\n \"order\": 123,\n \"identity\": {},\n \"suppress_events\": true,\n \"implementation_date\": \"<string>\",\n \"assigned_qa\": \"<string>\",\n \"distribution_share\": true\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quiva.ai/workspaces/tasks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"tasks\": [\n {\n \"title\": \"<string>\",\n \"id\": \"<string>\",\n \"description\": \"<string>\",\n \"assignees\": [\n \"<string>\"\n ],\n \"attachments\": [\n \"<string>\"\n ],\n \"priority\": \"<string>\",\n \"folder\": \"<string>\",\n \"reporter\": \"<string>\",\n \"status\": \"<string>\",\n \"space_id\": \"<string>\",\n \"due_date\": \"2023-11-07T05:31:56Z\",\n \"scheduled_at\": \"2023-11-07T05:31:56Z\",\n \"archived\": true,\n \"tags\": [\n \"<string>\"\n ],\n \"parent\": \"<string>\",\n \"source\": \"<string>\",\n \"source_detail\": \"<string>\",\n \"value\": 123,\n \"currency\": \"<string>\",\n \"expected_close\": \"<string>\",\n \"external_id\": \"<string>\",\n \"metadata\": {},\n \"time_tracking\": {},\n \"order\": 123,\n \"identity\": {},\n \"suppress_events\": true,\n \"implementation_date\": \"<string>\",\n \"assigned_qa\": \"<string>\",\n \"distribution_share\": true\n }\n ]\n}"
response = http.request(request)
puts response.read_body{}{
"error": "<string>",
"code": "<string>"
}API Reference
Update multiple tasks
PATCH
/
workspaces
/
tasks
Update multiple tasks
curl --request PATCH \
--url https://api.quiva.ai/workspaces/tasks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tasks": [
{
"title": "<string>",
"id": "<string>",
"description": "<string>",
"assignees": [
"<string>"
],
"attachments": [
"<string>"
],
"priority": "<string>",
"folder": "<string>",
"reporter": "<string>",
"status": "<string>",
"space_id": "<string>",
"due_date": "2023-11-07T05:31:56Z",
"scheduled_at": "2023-11-07T05:31:56Z",
"archived": true,
"tags": [
"<string>"
],
"parent": "<string>",
"source": "<string>",
"source_detail": "<string>",
"value": 123,
"currency": "<string>",
"expected_close": "<string>",
"external_id": "<string>",
"metadata": {},
"time_tracking": {},
"order": 123,
"identity": {},
"suppress_events": true,
"implementation_date": "<string>",
"assigned_qa": "<string>",
"distribution_share": true
}
]
}
'import requests
url = "https://api.quiva.ai/workspaces/tasks"
payload = { "tasks": [
{
"title": "<string>",
"id": "<string>",
"description": "<string>",
"assignees": ["<string>"],
"attachments": ["<string>"],
"priority": "<string>",
"folder": "<string>",
"reporter": "<string>",
"status": "<string>",
"space_id": "<string>",
"due_date": "2023-11-07T05:31:56Z",
"scheduled_at": "2023-11-07T05:31:56Z",
"archived": True,
"tags": ["<string>"],
"parent": "<string>",
"source": "<string>",
"source_detail": "<string>",
"value": 123,
"currency": "<string>",
"expected_close": "<string>",
"external_id": "<string>",
"metadata": {},
"time_tracking": {},
"order": 123,
"identity": {},
"suppress_events": True,
"implementation_date": "<string>",
"assigned_qa": "<string>",
"distribution_share": True
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tasks: [
{
title: '<string>',
id: '<string>',
description: '<string>',
assignees: ['<string>'],
attachments: ['<string>'],
priority: '<string>',
folder: '<string>',
reporter: '<string>',
status: '<string>',
space_id: '<string>',
due_date: '2023-11-07T05:31:56Z',
scheduled_at: '2023-11-07T05:31:56Z',
archived: true,
tags: ['<string>'],
parent: '<string>',
source: '<string>',
source_detail: '<string>',
value: 123,
currency: '<string>',
expected_close: '<string>',
external_id: '<string>',
metadata: {},
time_tracking: {},
order: 123,
identity: {},
suppress_events: true,
implementation_date: '<string>',
assigned_qa: '<string>',
distribution_share: true
}
]
})
};
fetch('https://api.quiva.ai/workspaces/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quiva.ai/workspaces/tasks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'tasks' => [
[
'title' => '<string>',
'id' => '<string>',
'description' => '<string>',
'assignees' => [
'<string>'
],
'attachments' => [
'<string>'
],
'priority' => '<string>',
'folder' => '<string>',
'reporter' => '<string>',
'status' => '<string>',
'space_id' => '<string>',
'due_date' => '2023-11-07T05:31:56Z',
'scheduled_at' => '2023-11-07T05:31:56Z',
'archived' => true,
'tags' => [
'<string>'
],
'parent' => '<string>',
'source' => '<string>',
'source_detail' => '<string>',
'value' => 123,
'currency' => '<string>',
'expected_close' => '<string>',
'external_id' => '<string>',
'metadata' => [
],
'time_tracking' => [
],
'order' => 123,
'identity' => [
],
'suppress_events' => true,
'implementation_date' => '<string>',
'assigned_qa' => '<string>',
'distribution_share' => true
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.quiva.ai/workspaces/tasks"
payload := strings.NewReader("{\n \"tasks\": [\n {\n \"title\": \"<string>\",\n \"id\": \"<string>\",\n \"description\": \"<string>\",\n \"assignees\": [\n \"<string>\"\n ],\n \"attachments\": [\n \"<string>\"\n ],\n \"priority\": \"<string>\",\n \"folder\": \"<string>\",\n \"reporter\": \"<string>\",\n \"status\": \"<string>\",\n \"space_id\": \"<string>\",\n \"due_date\": \"2023-11-07T05:31:56Z\",\n \"scheduled_at\": \"2023-11-07T05:31:56Z\",\n \"archived\": true,\n \"tags\": [\n \"<string>\"\n ],\n \"parent\": \"<string>\",\n \"source\": \"<string>\",\n \"source_detail\": \"<string>\",\n \"value\": 123,\n \"currency\": \"<string>\",\n \"expected_close\": \"<string>\",\n \"external_id\": \"<string>\",\n \"metadata\": {},\n \"time_tracking\": {},\n \"order\": 123,\n \"identity\": {},\n \"suppress_events\": true,\n \"implementation_date\": \"<string>\",\n \"assigned_qa\": \"<string>\",\n \"distribution_share\": true\n }\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.quiva.ai/workspaces/tasks")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"tasks\": [\n {\n \"title\": \"<string>\",\n \"id\": \"<string>\",\n \"description\": \"<string>\",\n \"assignees\": [\n \"<string>\"\n ],\n \"attachments\": [\n \"<string>\"\n ],\n \"priority\": \"<string>\",\n \"folder\": \"<string>\",\n \"reporter\": \"<string>\",\n \"status\": \"<string>\",\n \"space_id\": \"<string>\",\n \"due_date\": \"2023-11-07T05:31:56Z\",\n \"scheduled_at\": \"2023-11-07T05:31:56Z\",\n \"archived\": true,\n \"tags\": [\n \"<string>\"\n ],\n \"parent\": \"<string>\",\n \"source\": \"<string>\",\n \"source_detail\": \"<string>\",\n \"value\": 123,\n \"currency\": \"<string>\",\n \"expected_close\": \"<string>\",\n \"external_id\": \"<string>\",\n \"metadata\": {},\n \"time_tracking\": {},\n \"order\": 123,\n \"identity\": {},\n \"suppress_events\": true,\n \"implementation_date\": \"<string>\",\n \"assigned_qa\": \"<string>\",\n \"distribution_share\": true\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quiva.ai/workspaces/tasks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"tasks\": [\n {\n \"title\": \"<string>\",\n \"id\": \"<string>\",\n \"description\": \"<string>\",\n \"assignees\": [\n \"<string>\"\n ],\n \"attachments\": [\n \"<string>\"\n ],\n \"priority\": \"<string>\",\n \"folder\": \"<string>\",\n \"reporter\": \"<string>\",\n \"status\": \"<string>\",\n \"space_id\": \"<string>\",\n \"due_date\": \"2023-11-07T05:31:56Z\",\n \"scheduled_at\": \"2023-11-07T05:31:56Z\",\n \"archived\": true,\n \"tags\": [\n \"<string>\"\n ],\n \"parent\": \"<string>\",\n \"source\": \"<string>\",\n \"source_detail\": \"<string>\",\n \"value\": 123,\n \"currency\": \"<string>\",\n \"expected_close\": \"<string>\",\n \"external_id\": \"<string>\",\n \"metadata\": {},\n \"time_tracking\": {},\n \"order\": 123,\n \"identity\": {},\n \"suppress_events\": true,\n \"implementation_date\": \"<string>\",\n \"assigned_qa\": \"<string>\",\n \"distribution_share\": true\n }\n ]\n}"
response = http.request(request)
puts response.read_body{}{
"error": "<string>",
"code": "<string>"
}